> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/parcel/get-parcels.md).

# Get Parcels

## /parcels

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/parcels`

This endpoint allows you to get a list of all parcels available for a user.

#### Query Parameters

| Name    | Type   | Description                                                                     |
| ------- | ------ | ------------------------------------------------------------------------------- |
| perPage | Number | Specify how many records will be returned in a single request. Defaults to 100. |
| page    | Number | Specify what page of records will be sent in response. Defaults to 1.           |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Parcels retrieved successfully." %}

```json
{
    "status": true,
    "message": "Parcels retrieved successfully",
    "data": {
        "parcels": [
            {
                "_id": "6353c7f49f186020811fa296",
                "description": "Apple MacBook Pro with Charger, Wireless mouse and Keyboard",
                "items": [
                    {
                        "description": "Apple MacBook Pro with Charger, Wireless mouse and Keyboard",
                        "name": "0% off on Offer on deals",
                        "currency": "NGN",
                        "value": 1399,
                        "quantity": 1,
                        "weight": 2
                    }
                ],
                "packaging": "PA-12668277208",
                "total_weight": 2,
                "user": "USER-22498158801",
                "weight_unit": "kg",
                "parcel_id": "PC-13423942661",
                "created_at": "2022-10-22T10:37:40.804Z",
                "updated_at": "2022-10-22T10:37:40.804Z",
                "__v": 0,
                "id": "6353c7f49f186020811fa296"
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 1,
            "prevPage": null,
            "nextPage": 2,
            "currentPage": 1,
            "total": 2,
            "pageCount": 2,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": true
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/parcel/get-parcels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
